Eclipse Platform Release 3.7

## org.eclipse.ui.presentations
Class WorkbenchPresentationFactory

    java.lang.Object
      org.eclipse.ui.presentations.AbstractPresentationFactory
          org.eclipse.ui.presentations.WorkbenchPresentationFactory

    public class WorkbenchPresentationFactory

extends AbstractPresentationFactory

The default presentation factory for the Workbench.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.ui.presentations.AbstractPresentationFactory
`SASHORIENTATION_HORIZONTAL, SASHORIENTATION_VERTICAL, SASHTYPE_FLOATING, SASHTYPE_NORMAL`

Constructor Summary
`WorkbenchPresentationFactory()`

Method Summary
`StackPresentation` `createEditorPresentation(Composite parent, IStackPresentationSite site)` Creates an editor presentation for presenting editors.
`StackPresentation` `createStandaloneViewPresentation(Composite parent, IStackPresentationSite site, boolean showTitle)` Creates a standalone stack presentation for presenting a standalone view.
`StackPresentation` `createViewPresentation(Composite parent, IStackPresentationSite site)` Creates a stack presentation for presenting regular docked views.

Methods inherited from class org.eclipse.ui.presentations.AbstractPresentationFactory
`createSash, createStatusLineControl, createStatusLineManager, getId, getSashSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbenchPresentationFactory

    public WorkbenchPresentationFactory()

Method Detail

### createEditorPresentation

    public StackPresentation createEditorPresentation(Composite parent,
                                                      IStackPresentationSite site)

  Description copied from class: `AbstractPresentationFactory`
  Creates an editor presentation for presenting editors.

  The presentation creates its controls under the given parent composite.

  Specified by:
    `createEditorPresentation` in class `AbstractPresentationFactory`
  Parameters:
    `parent` - the parent composite to use for the presentation's controls
    `site` - the site used for communication between the presentation and the workbench
  Returns:
    a newly created part presentation

### createViewPresentation

    public StackPresentation createViewPresentation(Composite parent,
                                                    IStackPresentationSite site)

  Description copied from class: `AbstractPresentationFactory`
  Creates a stack presentation for presenting regular docked views.

  The presentation creates its controls under the given parent composite.

  Specified by:
    `createViewPresentation` in class `AbstractPresentationFactory`
  Parameters:
    `parent` - the parent composite to use for the presentation's controls
    `site` - the site used for communication between the presentation and the workbench
  Returns:
    a newly created part presentation

### createStandaloneViewPresentation

    public StackPresentation createStandaloneViewPresentation(Composite parent,
                                                              IStackPresentationSite site,
                                                              boolean showTitle)

  Description copied from class: `AbstractPresentationFactory`
  Creates a standalone stack presentation for presenting a standalone view. A standalone view cannot be docked together with other views. The title of a standalone view may be hidden.

  The presentation creates its controls under the given parent composite.

  Specified by:
    `createStandaloneViewPresentation` in class `AbstractPresentationFactory`
  Parameters:
    `parent` - the parent composite to use for the presentation's controls
    `site` - the site used for communication between the presentation and the workbench
    `showTitle` - `true` to show the title for the view, `false` to hide it
  Returns:
    a newly created part presentation

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.